import type { CSSProperties, VueElement } from 'vue';
/**
 * 设置元素css
 * @param el
 * @param css
 */
export declare function css(el: HTMLElement, css: CSSProperties): void;
export declare function boundingRect(el: HTMLElement): {
    top: number;
    left: number;
    width: number;
    height: number;
};
export declare function style(el: HTMLElement, property: string): string;
export declare function asyncScript(src: string): Promise<HTMLScriptElement>;
export interface ViewportOffsetResult {
    left: number;
    top: number;
    right: number;
    bottom: number;
    rightIncludeBody: number;
    bottomIncludeBody: number;
}
export declare function getViewportOffset(element: Element): ViewportOffsetResult;
export declare const isNodeOverflow: (ele: VueElement | Element | (VueElement | Element)[]) => boolean;
